[TASK] Make .htaccess Apache 2.4 suitable 29/48029/2
authorMarc von Schalscha-Ehrenfeld <msa@starfinanz.de>
Fri, 6 May 2016 11:25:22 +0000 (13:25 +0200)
committerWouter Wolters <typo3@wouterwolters.nl>
Fri, 6 May 2016 19:17:31 +0000 (21:17 +0200)
This patch makes EXT:documentation/Resources/Private/.htaccess and
EXT:extbase/Resources/Private/.htaccess Apache 2.4 suitable

Resolves: #76066
Resolves: #76064
Releases: master, 7.6, 6.2
Change-Id: I91c6e683eeb1bc92e1192d2b3800d2dcb8a9d4b9
Reviewed-on: https://review.typo3.org/48029
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
typo3/sysext/documentation/Resources/Private/.htaccess
typo3/sysext/extbase/Resources/Private/.htaccess

index dfc0272..9a779b7 100644 (file)
@@ -1 +1,11 @@
-deny  from all
\ No newline at end of file
+# Apache < 2.3
+<IfModule !mod_authz_core.c>
+       Order allow,deny
+       Deny from all
+       Satisfy All
+</IfModule>
+
+# Apache ≥ 2.3
+<IfModule mod_authz_core.c>
+       Require all denied
+</IfModule>
\ No newline at end of file
index 2e8cdb8..9a2aa5a 100644 (file)
@@ -1 +1,11 @@
-deny  from all
+# Apache < 2.3
+<IfModule !mod_authz_core.c>
+       Order allow,deny
+       Deny from all
+       Satisfy All
+</IfModule>
+
+# Apache ≥ 2.3
+<IfModule mod_authz_core.c>
+       Require all denied
+</IfModule>